GNU bug report logs - #39739
New: ac-geiser

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Jeremy Korwin-Zmijowski <jeremy@HIDDEN>; Done: Marius Bakke <mbakke@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 39739-done <at> debbugs.gnu.org:


Received: (at 39739-done) by debbugs.gnu.org; 2 Apr 2020 16:34:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 02 12:34:13 2020
Received: from localhost ([127.0.0.1]:40595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jK2nE-0008G9-Jq
	for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 12:34:12 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:36365)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1jK2nB-0008Fd-KV
 for 39739-done <at> debbugs.gnu.org; Thu, 02 Apr 2020 12:34:11 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 5F1A15C0114;
 Thu,  2 Apr 2020 12:34:02 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Thu, 02 Apr 2020 12:34:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=uNTR9xgMPDMO/vLqKNq5alTnN0
 yGb4fmq/vETjVgiT4=; b=u4WkL9pHPPpeTcqHGaAKQRq2lLJFqwNaQRCoLBv35H
 wXrPMszuriMSJYkOzJrjBSshg/Np0qeq6HG7z6GiuktxUTOKN2wb8JX8GmXFbfNn
 hpdkuDx3b8HsFr94UwpFl4IUER6jlU8ou/GfNO4voCTW9HQmiwR5dLPAmYSLp7Mz
 x9tnCp7MgaeeV5ps0cj+O9GVLFTFK3tvfOPkRXmNuJSJxF6Zwn6m5ry4Mw74RpD5
 THlMk8ADKd2M8yCanktxtreI92dufa+9BMb4WEQY0gG9W8+vQUa/9UNgLWcX3VsD
 hHYNTDXIb8Rd5c0BBt+GDRJGlVxe0OdOhFBYxvS+H5aw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=uNTR9x
 gMPDMO/vLqKNq5alTnN0yGb4fmq/vETjVgiT4=; b=xlz+GJ8eWGJxT8FWrxkJlZ
 ksBunoihTwnDUoYbTScIvkwL6K6uUQZIsIgOB16gSYUQ3VU/8/iZq3yPZYXXWQhn
 v+KaADbU2snn/H+e3/bR1BCCddsEsOCwh/KnjX00H4yno21r3ghEl1yX65WOSeEo
 DYII0c7iMxj6I6piWYM6FdZ+TnF+RS6LL5Z1fHbqPe1XCMLpm4RMvO7qF66oYzHr
 hYj68XqeR6on3Ac6RoZseTk01vkh+Tzwr1hXo2MrqHYghYmIjcJOdgqaTRIIvtFI
 ZDiyQ5j4XBPmTp1Ow75BS16O8ctFDB2v5R9Np2hqo0Mpoe5+nVsvVqSTL5iv4hHQ
 ==
X-ME-Sender: <xms:-ROGXmwctPVVSiRUZr6O3ralKg3IsdHk7wA0VaKwPELvLfiuBky9GA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrtdeggdeliecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefhvffujghffgffkfggtgesghdtreertderjeenucfhrhhomhepofgrrhhiuhhs
 uceurghkkhgvuceomhgsrghkkhgvsehfrghsthhmrghilhdrtghomheqnecukfhppeekge
 drvddtvddrieekrdejheenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgr
 ihhlfhhrohhmpehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhm
X-ME-Proxy: <xmx:-hOGXpgrqGL9RBJXeldfV2tna3HnbEGMGIJ9cm2GRIOd6h9rZbDv6g>
 <xmx:-hOGXtCe7O6l4apHwhwGbxUk5ul0DBGrIAprSX_dqAieixUmqka0NQ>
 <xmx:-hOGXpNeisIvPb3jnilSeFvic1tI7E8lf1DlJ8LUaJrwO0tVOb81mA>
 <xmx:-hOGXrbx5L-zYpNKA7oFLb1ZrufE3W2a17DsEv6ZpfPiPpg0Std_uA>
Received: from localhost (ti0006q161-2604.bb.online.no [84.202.68.75])
 by mail.messagingengine.com (Postfix) with ESMTPA id A11B9328005A;
 Thu,  2 Apr 2020 12:34:01 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Jeremy Korwin-Zmijowski <jeremy@HIDDEN>,
 Leo Famulari <leo@HIDDEN>
Subject: Re: [bug#39739] Here is the patch updated
In-Reply-To: <86df4bda2dea7845ad46c8db8f9515fb7a43eb63.camel@HIDDEN>
References: <581abff0066082cce54ce77cee75f88d40cebd71.camel@HIDDEN>
 <f8f2deed5cfdf993d1808df4a2842fadd494f768.camel@HIDDEN>
 <87a74dm5k0.fsf@HIDDEN>
 <9b5b3851902fa98a0f351ba41b0c956d9da5cf04.camel@HIDDEN>
 <20200327204728.GC16253@HIDDEN>
 <86df4bda2dea7845ad46c8db8f9515fb7a43eb63.camel@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Thu, 02 Apr 2020 18:33:59 +0200
Message-ID: <875zehsv7s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39739-done
Cc: Kyle Meyer <kyle@HIDDEN>, 39739-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Jeremy Korwin-Zmijowski <jeremy@HIDDEN> writes:

> Le vendredi 27 mars 2020 =C3=A0 16:47 -0400, Leo Famulari a =C3=A9crit :
>> On Fri, Mar 27, 2020 at 03:54:56PM +0100, Jeremy Korwin-Zmijowski
>> wrote:
>> > As I see three commits after the 0.1 release, I valued revision to
>> > 3.
>>=20
>> The revision field refers to the Guix package revision [0]. It's up
>> to
>> the patch author if we start at 0 or 1, though.
>>=20
>> [0] See the manual section Version Numbers
>
> Hi Leo !
>
> Thank you for pointing this out. I set revision to 0.
>
> J=C3=A9r=C3=A9my
> From b1dfe04260e6a2127cdf59239989485a2dc3b5ea Mon Sep 17 00:00:00 2001
> From: =3D?UTF-8?q?J=3DC3=3DA9r=3DC3=3DA9my=3D20Korwin-Zmijowski?=3D
>  <jeremy@HIDDEN>
> Date: Fri, 27 Mar 2020 15:49:53 +0100
> Subject: [PATCH 1/1] gnu: Add emacs-ac-geiser. * gnu/packages/emacs-xyz.s=
cm
>  (emacs-ac-geiser): New variable.

Applied!  I fixed the missing newline in the commit message and turned
the description into a full sentence.=20

Also thanks for making upstream clarify the license situation!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl6GE/cACgkQoqBt8qM6
VPoz3gf/fPaAGEBINaLMe8adrLnkoVZXMjyqbgi6SbhIbKsRQofJbAm2bFo29Hmz
IBkbZ7FFnGsf3xwQv8J/fARqZjVkHDDFsfj6bfgoAqIutf+E3Ro221sbaL3dg1A0
etDNabqZARUc9gDEMJ7ePdWlxboYJHJz1KvqxRj5EH3yO8BSKIeb0wEqYPBoic94
3k4ViPt5d9SWrGJ1iEOGve60Pjaon9qEftjT0G7WnWNbBt3ZHiyGsqQtxrTfqZdB
1NDf7ntk3LE/B4sZo2+/+16F6RxStJOtFLdywBRMJICpQoz6gRPrQL4TH4LLgrjH
8cKvYPot/e2yW3UFh2udYCHU09XRaw==
=bef1
-----END PGP SIGNATURE-----
--=-=-=--




Notification sent to Jeremy Korwin-Zmijowski <jeremy@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Marius Bakke <mbakke@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 39739 <at> debbugs.gnu.org:


Received: (at 39739) by debbugs.gnu.org; 28 Mar 2020 03:28:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 27 23:28:51 2020
Received: from localhost ([127.0.0.1]:33583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jI29T-0005rX-4T
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2020 23:28:51 -0400
Received: from pb-smtp21.pobox.com ([173.228.157.53]:64484)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1jI29Q-0005rO-My
 for 39739 <at> debbugs.gnu.org; Fri, 27 Mar 2020 23:28:49 -0400
Received: from pb-smtp21.pobox.com (unknown [127.0.0.1])
 by pb-smtp21.pobox.com (Postfix) with ESMTP id BB0F9BF700;
 Fri, 27 Mar 2020 23:28:47 -0400 (EDT) (envelope-from kyle@HIDDEN)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=pobox.com; h=from:to
 :subject:in-reply-to:references:date:message-id:mime-version
 :content-type:content-transfer-encoding; s=sasl; bh=uhw62zsBE5QM
 ShyRGjqMRuwvlVU=; b=gh7gCFZDfKiuxuEKrfWO/mtuxnCA7/wkgZ7TXn195+lE
 xuq/MBSu/AHIezZGDhK0E1Ygn7CO/CkHuMin+cHmwnq3qkkZKKo9xw07OYw/+mtA
 3YT8BAyZhFNuHGTHb4YxgP8cqRm28peP/R4gHqNykyE5ZZ/KFUCVzkMzQl0ThiU=
Received: from pb-smtp21.sea.icgroup.com (unknown [127.0.0.1])
 by pb-smtp21.pobox.com (Postfix) with ESMTP id B35A5BF6FF;
 Fri, 27 Mar 2020 23:28:47 -0400 (EDT) (envelope-from kyle@HIDDEN)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=kyleam.com;
 h=from:to:subject:in-reply-to:references:date:message-id:mime-version:content-type:content-transfer-encoding;
 s=mesmtp; bh=j65lZIzDkboWvXGSRs3Bu5Er3fkqCB5VaqRpZZDwLl0=;
 b=ptgbv3l6C4yWUmRmdgFSKaqV+8bieER1Ws0x/o+4v/ZxbclOc3VNTTwB6p9iWetruyJUseOkUuT83j9OECl9heLKejeUi0qedhWAkDF8FiNCvrakJm6udz2KHQAG7J1AmTiPmqmqJCm3Zpr3/3KwiZnm6BQ+Tu1Px4EbCnmVxZI=
Received: from localhost (unknown [45.33.91.115])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by pb-smtp21.pobox.com (Postfix) with ESMTPSA id 08B2BBF6FE;
 Fri, 27 Mar 2020 23:28:45 -0400 (EDT) (envelope-from kyle@HIDDEN)
From: Kyle Meyer <kyle@HIDDEN>
To: Jeremy Korwin-Zmijowski <jeremy@HIDDEN>, 39739 <at> debbugs.gnu.org
Subject: Re: [bug#39739] Here is the patch updated
In-Reply-To: <9b5b3851902fa98a0f351ba41b0c956d9da5cf04.camel@HIDDEN>
References: <581abff0066082cce54ce77cee75f88d40cebd71.camel@HIDDEN>
 <f8f2deed5cfdf993d1808df4a2842fadd494f768.camel@HIDDEN>
 <87a74dm5k0.fsf@HIDDEN>
 <9b5b3851902fa98a0f351ba41b0c956d9da5cf04.camel@HIDDEN>
Date: Sat, 28 Mar 2020 03:28:43 +0000
Message-ID: <87369tw42c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Pobox-Relay-ID: 3ABB31C8-70A4-11EA-85E0-8D86F504CC47-24757444!pb-smtp21.pobox.com
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39739
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi J=C3=A9r=C3=A9my,

Jeremy Korwin-Zmijowski <jeremy@HIDDEN> writes:
> Hey Kyle,
>
> I hope this one can do the job !

After the last iteration you sent to address Leo's comment, the patch
looks good to me.

Thanks for the updates.




Information forwarded to guix-patches@HIDDEN:
bug#39739; Package guix-patches. Full text available.

Message received at 39739 <at> debbugs.gnu.org:


Received: (at 39739) by debbugs.gnu.org; 27 Mar 2020 22:42:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 27 18:42:44 2020
Received: from localhost ([127.0.0.1]:33476 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHxga-0004Oi-5c
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2020 18:42:44 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:33495)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeremy@HIDDEN>) id 1jHxci-0004Gg-PW
 for 39739 <at> debbugs.gnu.org; Fri, 27 Mar 2020 18:38:45 -0400
Received: from patch (91-169-127-99.subs.proxad.net [91.169.127.99])
 (Authenticated sender: jeremy@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id 504F4240003;
 Fri, 27 Mar 2020 22:38:36 +0000 (UTC)
Message-ID: <86df4bda2dea7845ad46c8db8f9515fb7a43eb63.camel@HIDDEN>
Subject: Re: [bug#39739] Here is the patch updated
From: Jeremy Korwin-Zmijowski <jeremy@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Date: Fri, 27 Mar 2020 23:38:35 +0100
In-Reply-To: <20200327204728.GC16253@HIDDEN>
References: <581abff0066082cce54ce77cee75f88d40cebd71.camel@HIDDEN>
 <f8f2deed5cfdf993d1808df4a2842fadd494f768.camel@HIDDEN>
 <87a74dm5k0.fsf@HIDDEN>
 <9b5b3851902fa98a0f351ba41b0c956d9da5cf04.camel@HIDDEN>
 <20200327204728.GC16253@HIDDEN>
Content-Type: multipart/mixed; boundary="=-hNWprds/nDRprgDEzwJI"
X-Mailer: Evolution 3.28.5-0ubuntu0.18.04.1 
Mime-Version: 1.0
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39739
X-Mailman-Approved-At: Fri, 27 Mar 2020 18:42:43 -0400
Cc: Kyle Meyer <kyle@HIDDEN>, 39739 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-hNWprds/nDRprgDEzwJI
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

Le vendredi 27 mars 2020 à 16:47 -0400, Leo Famulari a écrit :
> On Fri, Mar 27, 2020 at 03:54:56PM +0100, Jeremy Korwin-Zmijowski
> wrote:
> > As I see three commits after the 0.1 release, I valued revision to
> > 3.
> 
> The revision field refers to the Guix package revision [0]. It's up
> to
> the patch author if we start at 0 or 1, though.
> 
> [0] See the manual section Version Numbers

Hi Leo !

Thank you for pointing this out. I set revision to 0.

Jérémy

--=-hNWprds/nDRprgDEzwJI
Content-Disposition: attachment; filename="0001-gnu-Add-emacs-ac-geiser.patch"
Content-Transfer-Encoding: base64
Content-Type: text/x-patch; name="0001-gnu-Add-emacs-ac-geiser.patch"; charset="UTF-8"
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--=-hNWprds/nDRprgDEzwJI--





Information forwarded to guix-patches@HIDDEN:
bug#39739; Package guix-patches. Full text available.

Message received at 39739 <at> debbugs.gnu.org:


Received: (at 39739) by debbugs.gnu.org; 27 Mar 2020 20:47:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 27 16:47:37 2020
Received: from localhost ([127.0.0.1]:33353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHvtB-0007dq-Dz
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2020 16:47:37 -0400
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:35239)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1jHvt9-0007de-TA
 for 39739 <at> debbugs.gnu.org; Fri, 27 Mar 2020 16:47:36 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.west.internal (Postfix) with ESMTP id 022BA9DE;
 Fri, 27 Mar 2020 16:47:29 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Fri, 27 Mar 2020 16:47:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=KZyL7lS9YYy+CZViBl6NPoRq
 OzYrukM5N1tz6Vgvfjc=; b=Ap4K2RkNxzKw7fgsxgNKbMkbT7gSe6xmvv92dpwk
 mcVddOKCAPc4rtGG5hLV9zhdMDFdtQr3ZiGbzla+o/Dp+Tv7x1iDQi9Ad9B0TaJU
 QcIGIpufpjIWkSn5PBOvUBDDzcSFQjTHrZ7y9c+XAd7myBUqJVhpaHZGM2dJSLW/
 u48=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=KZyL7l
 S9YYy+CZViBl6NPoRqOzYrukM5N1tz6Vgvfjc=; b=fE/+cY8kyL4UNNSe0AYoqi
 QWU9g4/ls1EJxAES0Zhe7pHsdhEJP5YqZary2dWaZdHe33m1lIqAWYA+cAbCtQ2D
 Nl7LgJJc2JE/9oMZSLKVFsSHxgq7apjoYg4Rfb6pmz1ox4A3Y7mFmYroRb9gncDF
 6TSvFReKzsI4B7ank9LG+415tsSAACsUPOhsM63OSIBnx9wvP2p+f1V+hEV6Dgax
 A7OXe98otA9sRyhQy3HtQOD50ygIMnO+CLos71Dkms9xJ0KAO8Z4SqROKNrlDSte
 kLk/5uxR+9/TC0U1gwM4ZA1/s/Iv4SA5zvTz8wLgjHYe+OpzAr36/TRnro3qL/1g
 ==
X-ME-Sender: <xms:YWZ-XmjqAlSCIzk25ODrxKYcTGaTQeeCz6lJTcjcHiL1pGdmuyOiRQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrudehledgudefjecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpeffhffvuffkfhggtggujgesthdtredttddtvdenucfhrhhomhepnfgvohcu
 hfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecukfhppeejie
 druddvgedrudefkedrieefnecuvehluhhsthgvrhfuihiivgepvdenucfrrghrrghmpehm
 rghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:YWZ-XhlMoRmFlGLxG5UbpfEbZgThh95QefARN7o6ZNHNIM_X-LDgVA>
 <xmx:YWZ-XqrqN4LJOKTeFY3VZ7vD4ImPARs6zFtkGSdDsYPPP5MwtwJVIg>
 <xmx:YWZ-XiHcnBy_JZjuThzDNbtYZ73oPc7bcs4xg1_f-bATKAMS4FtDMg>
 <xmx:YWZ-XsKWXspZ9wBVz7TfjiNW3DpwpxekM1aWWIvOV0_nIvxZPE8WrA>
Received: from localhost (c-76-124-138-63.hsd1.pa.comcast.net [76.124.138.63])
 by mail.messagingengine.com (Postfix) with ESMTPA id EB6973280060;
 Fri, 27 Mar 2020 16:47:28 -0400 (EDT)
Date: Fri, 27 Mar 2020 16:47:28 -0400
From: Leo Famulari <leo@HIDDEN>
To: Jeremy Korwin-Zmijowski <jeremy@HIDDEN>
Subject: Re: [bug#39739] Here is the patch updated
Message-ID: <20200327204728.GC16253@HIDDEN>
References: <581abff0066082cce54ce77cee75f88d40cebd71.camel@HIDDEN>
 <f8f2deed5cfdf993d1808df4a2842fadd494f768.camel@HIDDEN>
 <87a74dm5k0.fsf@HIDDEN>
 <9b5b3851902fa98a0f351ba41b0c956d9da5cf04.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <9b5b3851902fa98a0f351ba41b0c956d9da5cf04.camel@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39739
Cc: Kyle Meyer <kyle@HIDDEN>, 39739 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Mar 27, 2020 at 03:54:56PM +0100, Jeremy Korwin-Zmijowski wrote:
> As I see three commits after the 0.1 release, I valued revision to 3.

The revision field refers to the Guix package revision [0]. It's up to
the patch author if we start at 0 or 1, though.

[0] See the manual section Version Numbers




Information forwarded to guix-patches@HIDDEN:
bug#39739; Package guix-patches. Full text available.

Message received at 39739 <at> debbugs.gnu.org:


Received: (at 39739) by debbugs.gnu.org; 27 Mar 2020 15:37:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 27 11:37:30 2020
Received: from localhost ([127.0.0.1]:33255 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jHr33-0007YN-7Q
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2020 11:37:30 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:65003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeremy@HIDDEN>) id 1jHqNz-0006QB-Sj
 for 39739 <at> debbugs.gnu.org; Fri, 27 Mar 2020 10:55:04 -0400
X-Originating-IP: 91.169.127.99
Received: from patch (91-169-127-99.subs.proxad.net [91.169.127.99])
 (Authenticated sender: jeremy@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id D93654000F;
 Fri, 27 Mar 2020 14:54:56 +0000 (UTC)
Message-ID: <9b5b3851902fa98a0f351ba41b0c956d9da5cf04.camel@HIDDEN>
Subject: Re: [bug#39739] Here is the patch updated
From: Jeremy Korwin-Zmijowski <jeremy@HIDDEN>
To: Kyle Meyer <kyle@HIDDEN>, 39739 <at> debbugs.gnu.org
Date: Fri, 27 Mar 2020 15:54:56 +0100
In-Reply-To: <87a74dm5k0.fsf@HIDDEN>
References: <581abff0066082cce54ce77cee75f88d40cebd71.camel@HIDDEN>
 <f8f2deed5cfdf993d1808df4a2842fadd494f768.camel@HIDDEN>
 <87a74dm5k0.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="=-w770a2UvSEW0dthuwvjo"
X-Mailer: Evolution 3.28.5-0ubuntu0.18.04.1 
Mime-Version: 1.0
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39739
X-Mailman-Approved-At: Fri, 27 Mar 2020 11:37:28 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-w770a2UvSEW0dthuwvjo
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

Le jeudi 19 mars 2020 à 02:39 +0000, Kyle Meyer a écrit :
> Hi Jérémy,
> 
> Thanks for the update and for clarifying the license with the author.
> 
> Jeremy Korwin-Zmijowski <jeremy@HIDDEN> writes:
> 
> > +;;; Copyright © 2020 Jérémy Korwin-Zmijowski <
> > jeremy@HIDDEN>
> 
> This has a trivial conflict with master (4a0399e277 at the time I
> applied it for testing).  That'd be easy for whoever eventually
> commits
> your patch to clean up, but, if you resend the patch for the other
> reasons I mention below, it'd be good to resolve it on your end by
> moving that to a newer base.
> 
> > +(define-public emacs-ac-geiser
> > +  (package
> > +    (name "emacs-ac-geiser")
> > +    (version "0.1")
> > +    (source
> > +     (origin
> 
> You should specify a `file-name' so that the directory in the store
> contains the package name.  Note that you can run `guix lint' to
> catch
> issues like these:
> 
>   $ pre-inst-env guix lint emacs-ac-geiser
>   gnu/packages/emacs-xyz.scm:21842:5: emacs-ac-geiser@HIDDEN: the source
>   file name should contain the package name
> 
> > +       (uri (git-reference
> > +             (url "https://github.com/xiaohanyu/ac-geiser.git")
> > +             (commit "502d18a8a0bd4b5fdd495a99299ba2a632c5cd9a")))
> 
> This commit is a couple of commits after the v0.1 tag, so you can
> represent that with something like
> 
>   (let ((commit "abcdef...")
>         (revision "0"))
>     (package
>       ...
>       (version (git-version "0.1" revision commit))
>       (source
>        (origin
>          (uri (git-reference
>                (url "https://github.com/xiaohanyu/ac-geiser.git")
>                (commit "abcdef...")))
> 
> You can find a good number of examples in emacs-xyz.scm.
> 
> Because the author clarified the license in the next commit
> (93818c936ee7e2f1ba1b315578bde363a7d43d05), I think that'd be a good
> commit to use.
> 
> > +       (method git-fetch)
> > +       (sha256 (base32
> > "0h2kakb4f5hgzf5l2kpqngalcmc4402lkg1pvs88c8z4rqp2vfvz"))))
> 
> Formatting/consistency nit: Most packages put "(base32 ..." on a new
> line.  I think the same is true, to a lesser extent, for the value of
> propagated-inputs below.
> 
> > +    (build-system emacs-build-system)
> > +    (propagated-inputs `(("geiser" ,emacs-geiser)
> > +                         ("auto-complete" ,emacs-auto-complete)))
> > +    (synopsis "Auto-complete backend for geiser")
> > +    (description "Provides one auto-complete source for Scheme
> > projects using geiser.")
> > +    (license license:bsd-3)
> > +    (home-page "https://github.com/xiaohanyu/ac-geiser")))
> 
> Thanks!

Hey Kyle,

I hope this one can do the job !

As I see three commits after the 0.1 release, I valued revision to 3.

Take care.

Jérémy

--=-w770a2UvSEW0dthuwvjo
Content-Disposition: attachment; filename="0001-gnu-Add-emacs-ac-geiser.patch"
Content-Transfer-Encoding: base64
Content-Type: text/x-patch; name="0001-gnu-Add-emacs-ac-geiser.patch"; charset="UTF-8"
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--=-w770a2UvSEW0dthuwvjo--





Information forwarded to guix-patches@HIDDEN:
bug#39739; Package guix-patches. Full text available.

Message received at 39739 <at> debbugs.gnu.org:


Received: (at 39739) by debbugs.gnu.org; 19 Mar 2020 02:39:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 22:39:37 2020
Received: from localhost ([127.0.0.1]:41626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEl5t-0001Lf-DE
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 22:39:37 -0400
Received: from pb-smtp2.pobox.com ([64.147.108.71]:54637)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1jEl5q-0001LW-Dw
 for 39739 <at> debbugs.gnu.org; Wed, 18 Mar 2020 22:39:35 -0400
Received: from pb-smtp2.pobox.com (unknown [127.0.0.1])
 by pb-smtp2.pobox.com (Postfix) with ESMTP id 021D25D087;
 Wed, 18 Mar 2020 22:39:34 -0400 (EDT) (envelope-from kyle@HIDDEN)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=pobox.com; h=from:to
 :subject:in-reply-to:references:date:message-id:mime-version
 :content-type:content-transfer-encoding; s=sasl; bh=Rc3PDQUpv0/B
 rQUSDdjcE13Wczw=; b=V+7dUFOdbgg217cQrc0kZHeLaV4Wpmd4cDZ/kQ/GfAJt
 zRc5mjTQP/gngSkciQQ1jKij99nVZ0IlmghljFkAIUPHEkYsQHUeJOjSCeseI6Dq
 3k4ZWhy+czjWwm1p+P0xMd2KLj7heqzrdd8kUL/9KYYqEMLlRfaGmbo5Qs4xwc4=
Received: from pb-smtp2.nyi.icgroup.com (unknown [127.0.0.1])
 by pb-smtp2.pobox.com (Postfix) with ESMTP id EF0625D086;
 Wed, 18 Mar 2020 22:39:33 -0400 (EDT) (envelope-from kyle@HIDDEN)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=kyleam.com;
 h=from:to:subject:in-reply-to:references:date:message-id:mime-version:content-type:content-transfer-encoding;
 s=mesmtp; bh=3WVdKtc4j6O/XY4WlGnZLaWHPqC6hMyIQ3WCqH1AA9s=;
 b=NGSJbLIYhNBYYA3lvDR6oFXJnBwg2MCk+1qiLRMBsyTV/fHE0yqVPtIk7JHqbMoJ+Acune2eyctsP8MCByMc14SYMqLV8Z/RHCKNU8QmCXr70Fv/IaNH1ZH5rqShaTjxO9l9fqplXbc69y0AzNuajhHpBF+W7o37AXGlkXcn94s=
Received: from localhost (unknown [45.33.91.115])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by pb-smtp2.pobox.com (Postfix) with ESMTPSA id 75C955D084;
 Wed, 18 Mar 2020 22:39:32 -0400 (EDT) (envelope-from kyle@HIDDEN)
From: Kyle Meyer <kyle@HIDDEN>
To: Jeremy Korwin-Zmijowski <jeremy@HIDDEN>, 39739 <at> debbugs.gnu.org
Subject: Re: [bug#39739] Here is the patch updated
In-Reply-To: <f8f2deed5cfdf993d1808df4a2842fadd494f768.camel@HIDDEN>
References: <581abff0066082cce54ce77cee75f88d40cebd71.camel@HIDDEN>
 <f8f2deed5cfdf993d1808df4a2842fadd494f768.camel@HIDDEN>
Date: Thu, 19 Mar 2020 02:39:27 +0000
Message-ID: <87a74dm5k0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Pobox-Relay-ID: DD27291A-698A-11EA-9983-D1361DBA3BAF-24757444!pb-smtp2.pobox.com
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39739
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi J=C3=A9r=C3=A9my,

Thanks for the update and for clarifying the license with the author.

Jeremy Korwin-Zmijowski <jeremy@HIDDEN> writes:

> +;;; Copyright =C2=A9 2020 J=C3=A9r=C3=A9my Korwin-Zmijowski <jeremy@korw=
in-zmijowski.fr>

This has a trivial conflict with master (4a0399e277 at the time I
applied it for testing).  That'd be easy for whoever eventually commits
your patch to clean up, but, if you resend the patch for the other
reasons I mention below, it'd be good to resolve it on your end by
moving that to a newer base.

> +(define-public emacs-ac-geiser
> +  (package
> +    (name "emacs-ac-geiser")
> +    (version "0.1")
> +    (source
> +     (origin

You should specify a `file-name' so that the directory in the store
contains the package name.  Note that you can run `guix lint' to catch
issues like these:

  $ pre-inst-env guix lint emacs-ac-geiser
  gnu/packages/emacs-xyz.scm:21842:5: emacs-ac-geiser@HIDDEN: the source
  file name should contain the package name

> +       (uri (git-reference
> +             (url "https://github.com/xiaohanyu/ac-geiser.git")
> +             (commit "502d18a8a0bd4b5fdd495a99299ba2a632c5cd9a")))

This commit is a couple of commits after the v0.1 tag, so you can
represent that with something like

  (let ((commit "abcdef...")
        (revision "0"))
    (package
      ...
      (version (git-version "0.1" revision commit))
      (source
       (origin
         (uri (git-reference
               (url "https://github.com/xiaohanyu/ac-geiser.git")
               (commit "abcdef...")))

You can find a good number of examples in emacs-xyz.scm.

Because the author clarified the license in the next commit
(93818c936ee7e2f1ba1b315578bde363a7d43d05), I think that'd be a good
commit to use.

> +       (method git-fetch)
> +       (sha256 (base32 "0h2kakb4f5hgzf5l2kpqngalcmc4402lkg1pvs88c8z4rqp2=
vfvz"))))

Formatting/consistency nit: Most packages put "(base32 ..." on a new
line.  I think the same is true, to a lesser extent, for the value of
propagated-inputs below.

> +    (build-system emacs-build-system)
> +    (propagated-inputs `(("geiser" ,emacs-geiser)
> +                         ("auto-complete" ,emacs-auto-complete)))
> +    (synopsis "Auto-complete backend for geiser")
> +    (description "Provides one auto-complete source for Scheme projects =
using geiser.")
> +    (license license:bsd-3)
> +    (home-page "https://github.com/xiaohanyu/ac-geiser")))

Thanks!




Information forwarded to guix-patches@HIDDEN:
bug#39739; Package guix-patches. Full text available.

Message received at 39739 <at> debbugs.gnu.org:


Received: (at 39739) by debbugs.gnu.org; 18 Mar 2020 23:29:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 18 19:29:34 2020
Received: from localhost ([127.0.0.1]:41565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jEi7y-0004hB-3g
	for submit <at> debbugs.gnu.org; Wed, 18 Mar 2020 19:29:34 -0400
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:33863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeremy@HIDDEN>) id 1jEi1N-0004Ug-CJ
 for 39739 <at> debbugs.gnu.org; Wed, 18 Mar 2020 19:22:46 -0400
X-Originating-IP: 37.173.76.130
Received: from patch (unknown [37.173.76.130])
 (Authenticated sender: jeremy@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 6C23220004
 for <39739 <at> debbugs.gnu.org>; Wed, 18 Mar 2020 23:22:37 +0000 (UTC)
Message-ID: <f8f2deed5cfdf993d1808df4a2842fadd494f768.camel@HIDDEN>
Subject: Here is the patch updated
From: Jeremy Korwin-Zmijowski <jeremy@HIDDEN>
To: 39739 <at> debbugs.gnu.org
Date: Thu, 19 Mar 2020 00:22:34 +0100
Content-Type: multipart/mixed; boundary="=-zVSviYmhwdiXT+uyh9R2"
X-Mailer: Evolution 3.28.5-0ubuntu0.18.04.1 
Mime-Version: 1.0
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39739
X-Mailman-Approved-At: Wed, 18 Mar 2020 19:29:32 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-zVSviYmhwdiXT+uyh9R2
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

Freely yours,

Jérémy

--=-zVSviYmhwdiXT+uyh9R2
Content-Disposition: attachment; filename="0001-gnu-Add-emacs-ac-geiser.patch"
Content-Type: text/x-patch; name="0001-gnu-Add-emacs-ac-geiser.patch"; charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-zVSviYmhwdiXT+uyh9R2--





Information forwarded to guix-patches@HIDDEN:
bug#39739; Package guix-patches. Full text available.

Message received at 39739 <at> debbugs.gnu.org:


Received: (at 39739) by debbugs.gnu.org; 22 Feb 2020 18:01:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 22 13:01:19 2020
Received: from localhost ([127.0.0.1]:49986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5Z5X-0004OU-Lv
	for submit <at> debbugs.gnu.org; Sat, 22 Feb 2020 13:01:19 -0500
Received: from pb-smtp2.pobox.com ([64.147.108.71]:62502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1j5Z5U-0004OB-PX
 for 39739 <at> debbugs.gnu.org; Sat, 22 Feb 2020 13:01:13 -0500
Received: from pb-smtp2.pobox.com (unknown [127.0.0.1])
 by pb-smtp2.pobox.com (Postfix) with ESMTP id 50D72560B1;
 Sat, 22 Feb 2020 13:01:12 -0500 (EST) (envelope-from kyle@HIDDEN)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=pobox.com; h=from:to
 :subject:in-reply-to:references:date:message-id:mime-version
 :content-type; s=sasl; bh=K4Edk9GPsKLRnXiGgt9mdqp4wxk=; b=iWhiZ2
 2hPhu+WEqgnud2rzg49keKsh/jr3E1LJtaYB6ggvH91UcxBstCow3umFRLL9lyws
 kdcqIseMpQOSVeD49pjc+t/8s35W7Rxc2ubOChlUUqp+gSRuxFLSJt3YwQryU88+
 dEsvhpOnyWJC8yKOa0/WvQbV1a73JE3x/PPEk=
Received: from pb-smtp2.nyi.icgroup.com (unknown [127.0.0.1])
 by pb-smtp2.pobox.com (Postfix) with ESMTP id 48A72560AD;
 Sat, 22 Feb 2020 13:01:12 -0500 (EST) (envelope-from kyle@HIDDEN)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=kyleam.com;
 h=from:to:subject:in-reply-to:references:date:message-id:mime-version:content-type;
 s=mesmtp; bh=R2UYMHNhOO4TQUboeWY/mPGbkAMTS+GOLTvlvxPPFbc=;
 b=gCeUqwqRMpbZ+g3lDJQGbfDE3m5maUhHg556uJE8GKwVOiVMgdcG3VrCWl1T0j4FAy+8Tz8kNCLEHFr83ET33ltxdgZQo2fguFavBUUHqsjJ+bO7ssM8+5T6b9wnJwCW44Jpn0fXsrxFwG40AX1pdcFsGSiT/0YRRPBUkJYWxk0=
Received: from localhost (unknown [45.33.91.115])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by pb-smtp2.pobox.com (Postfix) with ESMTPSA id B78A7560A6;
 Sat, 22 Feb 2020 13:01:11 -0500 (EST) (envelope-from kyle@HIDDEN)
From: Kyle Meyer <kyle@HIDDEN>
To: Jeremy Korwin-Zmijowski <jeremy@HIDDEN>, 39739 <at> debbugs.gnu.org
Subject: Re: [bug#39739] New: ac-geiser
In-Reply-To: <581abff0066082cce54ce77cee75f88d40cebd71.camel@HIDDEN>
References: <581abff0066082cce54ce77cee75f88d40cebd71.camel@HIDDEN>
Date: Sat, 22 Feb 2020 18:01:10 +0000
Message-ID: <87o8tq8psp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Pobox-Relay-ID: 4F588C88-559D-11EA-8804-D1361DBA3BAF-24757444!pb-smtp2.pobox.com
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39739
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Jeremy,

Jeremy Korwin-Zmijowski <jeremy@HIDDEN> writes:

> Subject: [PATCH 1/1] gnu: Add emacs-ac-geiser.
>
>   * gnu/packages/emacs-xyz.scm (emacs-ac-geiser): New variable

To follow this project's conventions, I think the leading spaces should
be dropped and a period added at the end.

> +(define-public emacs-ac-geiser
> +  (package
> +    (name "emacs-ac-geiser")
> +    (version "0.1")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (string-append
> +             "https://stable.melpa.org/packages/ac-geiser-"
> +             version
> +             ".tar"))

Hmm, I see only one existing package definition that uses a
stable.melpa.org URL, and it looks like these URLs should be avoided for
mutability reasons:

  https://lists.gnu.org/archive/html/guix-patches/2019-03/msg00367.html

Can you replace this with a git-fetch from GitHub?

> +       (sha256
> +        (base32
> +         "17l5bpzpldzyazbpjg67f17x3n5q081xffx4jz7jblbk7bcybzrj"))))
> +    (build-system emacs-build-system)
> +    (propagated-inputs
> +     `(("emacs-geiser" ,emacs-geiser)
> +       ("emacs-auto-complete" ,emacs-auto-complete)))
> +    (home-page "https://github.com/xiaohanyu/ac-geiser/")
> +    (synopsis "Auto-complete backend for geiser")
> +    (description
> +     "Provides one auto-complete source for Scheme projects using geiser.
> +")

style nit: Please put this closing quote and parenthesis on the previous
line.

> +    (license license:bsd-3)))

This does match what's in the LICENSE file, but the header in
ac-geiser.el claims that it's gpl3+.  Perhaps it's worth asking upstream
for clarification.




Information forwarded to guix-patches@HIDDEN:
bug#39739; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Feb 2020 16:15:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 22 11:15:55 2020
Received: from localhost ([127.0.0.1]:49907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5XRb-0005uU-0x
	for submit <at> debbugs.gnu.org; Sat, 22 Feb 2020 11:15:55 -0500
Received: from lists.gnu.org ([209.51.188.17]:36532)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeremy@HIDDEN>) id 1j5UqL-0001Dt-2R
 for submit <at> debbugs.gnu.org; Sat, 22 Feb 2020 08:29:17 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:38580)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jeremy@HIDDEN>) id 1j5UqJ-0002Ui-QD
 for guix-patches@HIDDEN; Sat, 22 Feb 2020 08:29:16 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.8 required=5.0 tests=BAYES_50,MIME_BASE64_TEXT,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jeremy@HIDDEN>) id 1j5UqI-0003x4-Hs
 for guix-patches@HIDDEN; Sat, 22 Feb 2020 08:29:15 -0500
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:22331)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jeremy@HIDDEN>)
 id 1j5UqI-0003ww-Bf
 for guix-patches@HIDDEN; Sat, 22 Feb 2020 08:29:14 -0500
X-Originating-IP: 91.169.127.99
Received: from patch (91-169-127-99.subs.proxad.net [91.169.127.99])
 (Authenticated sender: jeremy@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id 73FEA240008
 for <guix-patches@HIDDEN>; Sat, 22 Feb 2020 13:29:11 +0000 (UTC)
Message-ID: <581abff0066082cce54ce77cee75f88d40cebd71.camel@HIDDEN>
Subject: New: ac-geiser
From: Jeremy Korwin-Zmijowski <jeremy@HIDDEN>
To: guix-patches@HIDDEN
Date: Sat, 22 Feb 2020 14:29:09 +0100
Content-Type: multipart/mixed; boundary="=-LyNs8xN1GKkNE+D0cVBH"
X-Mailer: Evolution 3.28.5-0ubuntu0.18.04.1 
Mime-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 217.70.183.193
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 22 Feb 2020 11:15:53 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-LyNs8xN1GKkNE+D0cVBH
Content-Type: text/plain
Content-Transfer-Encoding: base64

Cg0K


--=-LyNs8xN1GKkNE+D0cVBH
Content-Disposition: attachment; filename="0001-gnu-Add-emacs-ac-geiser.patch"
Content-Transfer-Encoding: base64
Content-Type: text/x-patch; name="0001-gnu-Add-emacs-ac-geiser.patch"; charset="UTF-8"
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--=-LyNs8xN1GKkNE+D0cVBH--





Acknowledgement sent to Jeremy Korwin-Zmijowski <jeremy@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#39739; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 2 Apr 2020 16:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.